### Constructor

# Shumate Compass new

#### Declaration [src]

    ShumateCompass*
    shumate_compass_new (
      ShumateViewport* viewport
    )

#### Description [src]

Creates an instance of `ShumateCompass`.

#### Parameters

`viewport`

  Type: `ShumateViewport`

  A `ShumateViewport`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `ShumateCompass`

A new `ShumateCompass`.

The data is owned by the called function.